Schema "fpml-eq-shared-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 8615 $

Defined Components:

  4 global elements, 211 local elements, 55 complexTypes, 7 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\reporting\fpml-eq-shared-5-3.xsd; see XML source

Includes Schema:

  fpml-option-shared-5-3.xsd [src]

Included in Schemas (4):

  fpml-correlation-swaps-5-3.xsd [src], fpml-dividend-swaps-5-3.xsd [src], fpml-eqd-5-3.xsd [src], fpml-return-swaps-5-3.xsd [src]

All Element Summary
additionalAcknowledgements | If true, then additional acknowledgements are applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin Representations complexType; see XML source
additionalDisruptionEvents | ISDA 2002 Equity Additional Disruption Events.
Type: | AdditionalDisruptionEvents
Content: | complex, 11 elements
Defined: | locally witnin ExtraordinaryEvents complexType; see XML source
additionalDividends | If present and true, then additional dividends are applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin Dividends.model group; see XML source
additionalPayment (defined in NettedSwapBase complexType) | Specifies additional payment(s) between the principal parties to the netted swap.
Type: | ClassifiedPayment
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin NettedSwapBase complexType; see XML source
additionalPayment (in returnSwap) | Specifies additional payment(s) between the principal parties to the trade.
Type: | ReturnSwapAdditionalPayment
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin ReturnSwap complexType; see XML source
additionalPaymentAmount | Specifies the amount of the fee along with, when applicable, the formula that supports its determination.
Type: | AdditionalPaymentAmount
Content: | complex, 2 elements
Defined: | locally witnin ReturnSwapAdditionalPayment complexType; see XML source
additionalPaymentDate | Specifies the value date of the fee payment/receipt.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ReturnSwapAdditionalPayment complexType; see XML source
adjustableDate (defined in DividendPaymentDate complexType) | A date that shall be subject to adjustment if it would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date.
Type: | AdjustableDate
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin DividendPaymentDate complexType; see XML source
adjustableDate (in startingDate) | Date from which early termination clause can be exercised.
Type: | AdjustableDate
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin StartingDate complexType; see XML source
adjustableDate (in valuationDate defined in EquityValuation complexType) | A date that shall be subject to adjustment if it would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date.
Type: | AdjustableDate
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin AdjustableDateOrRelativeDateSequence complexType; see XML source
agreementsRegardingHedging | If true, then agreements regarding hedging are applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin Representations complexType; see XML source
allDividends | Represents the European Master Confirmation value of 'All Dividends' which, when applicable, signifies that, for a given Ex-Date, the daily observed Share Price for that day is adjusted (reduced) by the cash dividend and/or the cash value of any non cash dividend per Share (including Extraordinary Dividends) declared by the Issuer.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin Dividends.model group; see XML source
amount (in returnLeg) | Specifies, in relation to each Payment Date, the amount to which the Payment Date relates.
Type: | ReturnSwapAmount
Content: | complex, 11 elements
Defined: | locally witnin ReturnLeg complexType; see XML source
amountRelativeTo (in principalExchangeAmount in principalExchangeDescriptions) | Reference to an amount defined elsewhere in the document.
Type: | AmountReference
Content: | empty, 1 attribute
Defined: | locally witnin PrincipalExchangeAmount complexType; see XML source
asian (in feature defined in Feature.model group) | An option where and average price is taken on valuation.
Type: | Asian
Content: | complex, 4 elements
Defined: | locally witnin OptionFeatures complexType; see XML source
averagingDates | Averaging Dates used in the swap.
Type: | AveragingPeriod
Content: | complex, 4 elements
Defined: | locally witnin ReturnLeg complexType; see XML source
barrier (in feature defined in Feature.model group) | An option with a barrier feature.
Type: | Barrier
Content: | complex, 2 elements
Defined: | locally witnin OptionFeatures complexType; see XML source
boundedCorrelation | Bounded Correlation.
Type: | BoundedCorrelation
Content: | complex, 2 elements
Defined: | locally witnin Correlation complexType; see XML source
boundedVariance | Conditions which bound variance.
Type: | BoundedVariance
Content: | complex, 4 elements
Defined: | locally witnin Variance complexType; see XML source
breakFeeElection | Defines the fee type.
Type: | FeeElectionEnum
Content: | simple
Defined: | locally witnin MutualOrOptionalEarlyTermination.model group; see XML source
breakFeeRate |
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin MutualOrOptionalEarlyTermination.model group; see XML source
breakFundingRecovery | A Boolean element used for specifying whether the Break Funding Recovery detailed in the agreement will apply.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin MutualOrOptionalEarlyTermination.model group; see XML source
calculationDates (defined in CalculatedAmount complexType) | Specifies the date on which a calculation or an observation will be performed for the purpose of calculating the amount.
Type: | AdjustableRelativeOrPeriodicDates
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CalculatedAmount complexType; see XML source
calculationDates (defined in LegAmount complexType) | Specifies the date on which a calculation or an observation will be performed for the purpose of defining the Equity Amount, and in accordance to the definition terms of this latter.
Type: | AdjustableRelativeOrPeriodicDates
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin LegAmount complexType; see XML source
calculationPeriodDatesReference (in interestLegResetDates) | A pointer style reference to the associated calculation period dates component defined elsewhere in the document.
Type: | InterestLegCalculationPeriodDatesReference
Content: | empty, 1 attribute
Defined: | locally witnin InterestLegResetDates complexType; see XML source
cashSettlement (in amount in returnLeg) | If true, then cash settlement is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ReturnSwapAmount complexType; see XML source
changeInLaw | If true, then change in law is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin AdditionalDisruptionEvents complexType; see XML source
closingLevel | If true this contract will strike off the closing level of the default exchange traded contract.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CalculationFromObservation complexType; see XML source
componentSecurityIndexAnnexFallback | For an index option transaction, a flag to indicate whether a relevant Component Security Index Annex is applicable to the transaction.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin IndexAnnexFallback.model group; see XML source
compositionOfCombinedConsideration | If present and true, then composition of combined consideration is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ExtraordinaryEvents complexType; see XML source
compounding (in interestCalculation) | Defines compounding rates on the Interest Leg.
Type: | Compounding
Content: | complex, 4 elements
Defined: | locally witnin InterestCalculation complexType; see XML source
compoundingDates | Defines the compounding dates.
Type: | AdjustableRelativeOrPeriodicDates2
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin Compounding complexType; see XML source
compoundingMethod (in compounding in interestCalculation) | If more that one calculation period contributes to a single payment amount this element specifies whether compounding is applicable, and if so, what compounding method is to be used.
Type: | CompoundingMethodEnum
Content: | simple
Defined: | locally witnin Compounding complexType; see XML source
compoundingRate | Defines a compounding rate.
Type: | CompoundingRate
Content: | complex, 2 elements
Defined: | locally witnin Compounding complexType; see XML source
compoundingSpread | Defines the spread to be used for compounding.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Compounding complexType; see XML source
correlationStrikePrice | Correlation Strike Price.
Type: | CorrelationValue
Content: | simple
Defined: | locally witnin Correlation complexType; see XML source
currency (defined in CurrencyAndDeterminationMethod.model group) | The currency in which an amount is denominated.
Type: | IdentifiedCurrency
Content: | simple, 2 attributes
Defined: | locally witnin CurrencyAndDeterminationMethod.model group; see XML source
currency (defined in EquityStrike complexType) | The currency in which an amount is denominated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin EquityStrike complexType; see XML source
currencyReference | Reference to a currency defined elsewhere in the document
Type: | IdentifiedCurrencyReference
Content: | empty, 1 attribute
Defined: | locally witnin CurrencyAndDeterminationMethod.model group; see XML source
dateAdjustments (defined in DividendPeriod complexType) | Date adjustments for all unadjusted dates in this dividend period.
Type: | BusinessDayAdjustments
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin DividendPeriod complexType; see XML source
dateRelativeTo (in startingDate) | Reference to a date defined elswhere in the document.
Type: | DateReference
Content: | empty, 1 attribute
Defined: | locally witnin StartingDate complexType; see XML source
dayCountFraction (in interestCalculation) | The day count fraction.
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin InterestCalculation complexType; see XML source
daysInRangeAdjustment | The contract specifies whether the notional should be scaled by the Number of Days in Range divided by the Expected N.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin BoundedVariance complexType; see XML source
declaredCashDividendPercentage | Declared Cash Dividend Percentage.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin DeclaredCashAndCashEquivalentDividendPercentage.model group; see XML source
declaredCashEquivalentDividendPercentage | Declared Cash Equivalent Dividend Percentage.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin DeclaredCashAndCashEquivalentDividendPercentage.model group; see XML source
delisting | The term "Delisting" has the meaning defined in the ISDA 2002 Equity Derivatives Definitions.
Type: | NationalisationOrInsolvencyOrDelistingEventEnum
Content: | simple
Defined: | locally witnin ExtraordinaryEvents complexType; see XML source
determinationMethod (defined in CurrencyAndDeterminationMethod.model group) | Specifies the method according to which an amount or a date is determined.
Type: | DeterminationMethod
Content: | simple, 2 attributes
Defined: | locally witnin CurrencyAndDeterminationMethod.model group; see XML source
determinationMethod (defined in ReturnSwapNotional complexType) | Specifies the method according to which an amount or a date is determined.
Type: | DeterminationMethod
Content: | simple, 2 attributes
Defined: | locally witnin ReturnSwapNotional complexType; see XML source
determinationMethod (in principalExchangeAmount in principalExchangeDescriptions) | Specifies the method according to which an amount or a date is determined.
Type: | DeterminationMethod
Content: | simple, 2 attributes
Defined: | locally witnin PrincipalExchangeAmount complexType; see XML source
determiningPartyReference | A reference to the party which determines additional disruption events.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin AdditionalDisruptionEvents complexType; see XML source
dividend | Expected dividend in this period.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin DividendPeriodDividend complexType; see XML source
dividendAdjustment | Dividend adjustment of the contract is driven by the difference between the Expected Dividend, and the Actual Dividend, which is multiplied by an agreed Factor to produce a Deviation, which is used as the basis for adjusting the contract.
Type: | DividendAdjustment
Content: | complex, 1 element
Defined: | locally witnin OptionFeatures complexType; see XML source
dividendAmount |
Type: | DividendAmountTypeEnum
Content: | simple
Defined: | locally witnin DividendConditions complexType; see XML source
dividendComposition | Defines how the composition of Dividends is to be determined.
Type: | DividendCompositionEnum
Content: | simple
Defined: | locally witnin DividendConditions complexType; see XML source
dividendConditions (in return in returnLeg) | Specifies the conditions governing the payment of the dividends to the receiver of the equity return.
Type: | DividendConditions
Content: | complex, 20 elements
Defined: | locally witnin Return complexType; see XML source
dividendDateReference | Specification of the dividend date using an enumeration, with values such as the pay date, the ex date or the record date.
Type: | DividendDateReferenceEnum
Content: | simple
Defined: | locally witnin DividendPaymentDate complexType; see XML source
dividendEntitlement | Defines the date on which the receiver on the equity return is entitled to the dividend.
Type: | DividendEntitlementEnum
Content: | simple
Defined: | locally witnin DividendConditions complexType; see XML source
dividendFxTriggerDate | Specifies the date on which the FX rate will be considered in the case of a Composite FX swap.
Type: | DividendPaymentDate
Content: | complex, 3 elements
Defined: | locally witnin DividendConditions complexType; see XML source
dividendPaymentDate | Specifies when the dividend will be paid to the receiver of the equity return.
Type: | DividendPaymentDate
Content: | complex, 3 elements
Defined: | locally witnin DividendConditions complexType; see XML source
dividendPeriod (defined in DividendConditions complexType) | Defines the First Period or the Second Period, as defined in the 2002 ISDA Equity Derivatives Definitions.
Type: | DividendPeriodEnum
Content: | simple
Defined: | locally witnin DividendConditions complexType; see XML source
dividendPeriod (in dividendAdjustment) | A single Dividend Adjustment Period.
Type: | DividendPeriodDividend
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin DividendAdjustment complexType; see XML source
dividendPeriodEffectiveDate | Dividend period has the meaning as defined in the ISDA 2002 Equity Derivatives Definitions.
Type: | DateReference
Content: | empty, 1 attribute
Defined: | locally witnin DividendConditions complexType; see XML source
dividendPeriodEndDate | Dividend period has the meaning as defined in the ISDA 2002 Equity Derivatives Definitions.
Type: | DateReference
Content: | empty, 1 attribute
Defined: | locally witnin DividendConditions complexType; see XML source
dividendReinvestment | Boolean element that defines whether the dividend will be reinvested or not.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin DividendConditions complexType; see XML source
dividendValuationDates | Specifies the dividend valuation dates of the swap.
Type: | AdjustableRelativeOrPeriodicDates
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin EquityValuation complexType; see XML source
earlyTermination | Specifies, for one or for both the parties to the trade, the date from which it can early terminate it.
Type: | ReturnSwapEarlyTermination
Content: | complex, 2 elements
Defined: | locally witnin ReturnSwap complexType; see XML source
effectiveDate (defined in DirectionalLeg complexType) | Specifies the effective date of this leg of the swap.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin DirectionalLeg complexType; see XML source
effectiveDate (in interestLegCalculationPeriodDates) | Specifies the effective date of the return swap.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin InterestLegCalculationPeriodDates complexType; see XML source
encodedDescription | Description of the leg amount when represented through an encoded image.
Type: | xsd:base64Binary
Content: | simple
Defined: | locally witnin LegAmount complexType; see XML source
excessDividendAmount | Determination of Gross Cash Dividend per Share.
Type: | DividendAmountTypeEnum
Content: | simple
Defined: | locally witnin DividendConditions complexType; see XML source
exchangeTradedContractNearest (in rateOfReturn) | References a Contract on the Exchange.
Type: | ExchangeTradedContract
Content: | complex, 1 attribute, 12 elements
Defined: | locally witnin ReturnLegValuation complexType; see XML source
exchangeTradedContractNearest (in variance) | Specification of the exchange traded contract nearest.
Type: | ExchangeTradedContract
Content: | complex, 1 attribute, 12 elements
Defined: | locally witnin Variance complexType; see XML source
expectedN | Expected number of trading days.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin CalculationFromObservation complexType; see XML source
expiringLevel | If true this contract will strike off the expiring level of the default exchange traded contract.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CalculationFromObservation complexType; see XML source
extraOrdinaryDividends | Reference to the party which determines if dividends are extraordinary in relation to normal levels.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin DividendConditions complexType; see XML source
extraordinaryEvents (defined in NettedSwapBase complexType) | Where the underlying is shares, specifies events affecting the issuer of those shares that may require the terms of the transaction to be adjusted.
Type: | ExtraordinaryEvents
Content: | complex, 13 elements
Defined: | locally witnin NettedSwapBase complexType; see XML source
extraordinaryEvents (in returnSwap) | Where the underlying is shares, specifies events affecting the issuer of those shares that may require the terms of the transaction to be adjusted.
Type: | ExtraordinaryEvents
Content: | complex, 13 elements
Defined: | locally witnin ReturnSwap complexType; see XML source
failureToDeliver (defined in ExtraordinaryEvents complexType) | If true, failure to deliver is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ExtraordinaryEvents complexType; see XML source
failureToDeliver (in additionalDisruptionEvents) | Where the underlying is shares and the transaction is physically settled, then, if true, a failure to deliver the shares on the settlement date will not be an event of default for the purposes of the master agreement.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin AdditionalDisruptionEvents complexType; see XML source
feature (defined in Feature.model group) | Asian, Barrier, Knock and Pass Through features.
Type: | OptionFeatures
Content: | complex, 5 elements
Defined: | locally witnin Feature.model group; see XML source
finalStub (in stubCalculationPeriod) |
Type: | Stub
Content: | complex, 5 elements
Defined: | locally witnin StubCalculationPeriod complexType; see XML source
fixingDates (in interestLegResetDates) | Specifies the fixing date relative to the reset date in terms of a business days offset, or by providing a series of adjustable dates.
Type: | AdjustableDatesOrRelativeDateOffset
Content: | complex, 2 elements
Defined: | locally witnin InterestLegResetDates complexType; see XML source
foreignOwnershipEvent | If true, then foreign ownership event is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin AdditionalDisruptionEvents complexType; see XML source
formula (defined in LegAmount complexType) | Specifies a formula, with its description and components.
Type: | Formula
Content: | complex, 3 elements
Defined: | locally witnin LegAmount complexType; see XML source
formula (in additionalPaymentAmount) | Specifies a formula, with its description and components.
Type: | Formula
Content: | complex, 3 elements
Defined: | locally witnin AdditionalPaymentAmount complexType; see XML source
fPVFinalPriceElectionFallback | Specifies the fallback provisions for Hedging Party in the determination of the Final Price.
Type: | FPVFinalPriceElectionFallbackEnum
Content: | simple
Defined: | locally witnin EquityValuation complexType; see XML source
futuresPriceValuation | The official settlement price as announced by the related exchange is applicable, in accordance with the ISDA 2002 definitions.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin EquityValuation complexType; see XML source
fxFeature (defined in DirectionalLegUnderlyer complexType) | Quanto, Composite, or Cross Currency FX features.
Type: | FxFeature
Content: | complex, 4 elements
Defined: | locally witnin DirectionalLegUnderlyer complexType; see XML source
fxFeature (defined in Feature.model group) | Quanto, Composite, or Cross Currency FX features.
Type: | FxFeature
Content: | complex, 4 elements
Defined: | locally witnin Feature.model group; see XML source
fxFeature (in returnLeg) | A quanto or composite FX feature.
Type: | FxFeature
Content: | complex, 4 elements
Defined: | locally witnin ReturnLeg complexType; see XML source
hedgingDisruption | If true, then hedging disruption is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin AdditionalDisruptionEvents complexType; see XML source
increasedCostOfHedging | If true, then increased cost of hedging is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin AdditionalDisruptionEvents complexType; see XML source
increasedCostOfStockBorrow | If true, then increased cost of stock borrow is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin AdditionalDisruptionEvents complexType; see XML source
indexAdjustmentEvents | ISDA 2002 Equity Index Adjustment Events.
Type: | IndexAdjustmentEvents
Content: | complex, 3 elements
Defined: | locally witnin ExtraordinaryEvents complexType; see XML source
indexCancellation | Consequence of index cancellation.
Type: | IndexEventConsequenceEnum
Content: | simple
Defined: | locally witnin IndexAdjustmentEvents complexType; see XML source
indexDisclaimer | If present and true, then index disclaimer is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin Representations complexType; see XML source
indexDisruption | Consequence of index disruption.
Type: | IndexEventConsequenceEnum
Content: | simple
Defined: | locally witnin IndexAdjustmentEvents complexType; see XML source
indexModification | Consequence of index modification.
Type: | IndexEventConsequenceEnum
Content: | simple
Defined: | locally witnin IndexAdjustmentEvents complexType; see XML source
initialFixingDate (in interestLegResetDates) | Initial fixing date expressed as an offset to another date defined elsewhere in the document.
Type: | RelativeDateOffset
Content: | complex, 1 attribute, 8 elements
Defined: | locally witnin InterestLegResetDates complexType; see XML source
initialLevel | Contract will strike off this initial level.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CalculationFromObservation complexType; see XML source
initialPrice | Specifies the initial reference price of the underlyer.
Type: | ReturnLegValuationPrice
Content: | complex, 10 elements
Defined: | locally witnin ReturnLegValuation complexType; see XML source
initialStockLoanRate | Specifies the initial stock loan rate for Increased Cost of Stock Borrow.
Type: | RestrictedPercentage
Content: | simple
Defined: | locally witnin AdditionalDisruptionEvents complexType; see XML source
initialStub (in stubCalculationPeriod) |
Type: | Stub
Content: | complex, 5 elements
Defined: | locally witnin StubCalculationPeriod complexType; see XML source
insolvencyFiling | If true, then insolvency filing is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin AdditionalDisruptionEvents complexType; see XML source
interestAccrualsMethod | Defines the way in which interests are accrued: the applicable rate (fixed or floating reference) and the compounding method.
Type: | InterestAccrualsCompoundingMethod
Content: | complex, 3 elements
Defined: | locally witnin DividendConditions complexType; see XML source
interestAmount | Specifies, in relation to each Interest Payment Date, the amount to which the Interest Payment Date relates.
Type: | LegAmount
Content: | complex, 7 elements
Defined: | locally witnin InterestLeg complexType; see XML source
interestCalculation | Specifies the calculation method of the interest rate leg of the equity swap.
Type: | InterestCalculation
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin InterestLeg complexType; see XML source
interestLeg | The fixed income amounts of the return type swap.
Type: | InterestLeg
Content: | complex, 1 attribute, 12 elements
Subst.Gr: | may substitute for element returnSwapLeg
Defined: | globally; see XML source
Used: | never
interestLegCalculationPeriodDates | Component that holds the various dates used to specify the interest leg of the equity swap.
Type: | InterestLegCalculationPeriodDates
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin InterestLeg complexType; see XML source
interestLegPaymentDates | Specifies the payment dates of the interest leg of the swap.
Type: | AdjustableRelativeOrPeriodicDates2
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin InterestLegCalculationPeriodDates complexType; see XML source
interestLegRate | Reference to the floating rate calculation of interest calculation node on the Interest Leg.
Type: | FloatingRateCalculationReference
Content: | empty, 1 attribute
Defined: | locally witnin CompoundingRate complexType; see XML source
interestLegResetDates | Specifies the reset dates of the interest leg of the swap.
Type: | InterestLegResetDates
Content: | complex, 5 elements
Defined: | locally witnin InterestLegCalculationPeriodDates complexType; see XML source
interpolationMethod (in interestCalculation) | Specifies the type of interpolation used.
Type: | InterpolationMethod
Content: | simple, 1 attribute
Defined: | locally witnin InterestCalculation complexType; see XML source
interpolationPeriod | Defines applicable periods for interpolation.
Type: | InterpolationPeriodEnum
Content: | simple
Defined: | locally witnin InterestCalculation complexType; see XML source
knock (in feature defined in Feature.model group) | A knock feature.
Type: | Knock
Content: | complex, 2 elements
Defined: | locally witnin OptionFeatures complexType; see XML source
legId | Identity of this leg.
Type: | LegId
Content: | simple, 1 attribute
Defined: | locally witnin LegIdentifier complexType; see XML source
legIdentifier | Version aware identification of this leg.
Type: | LegIdentifier
Content: | complex, 3 elements
Defined: | locally witnin DirectionalLeg complexType; see XML source
localJurisdiction (defined in EquityUnderlyerProvisions.model group) | Local Jurisdiction is a term used in the AEJ Master Confirmation, which is used to determine local taxes, which shall mean taxes, duties, and similar charges imposed by the taxing authority of the Local Jurisdiction If this element is not present Local Jurisdiction is Not Applicable.
Type: | CountryCode
Content: | simple, 1 attribute
Defined: | locally witnin EquityUnderlyerProvisions.model group; see XML source
lossOfStockBorrow | If true, then loss of stock borrow is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin AdditionalDisruptionEvents complexType; see XML source
lowerBarrier | All observations below this price level will be excluded from the variance calculation.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin BoundedVariance complexType; see XML source
makeWholeDate | Date through which option can not be exercised without penalty.
Type: | xsd:date
Content: | simple
Defined: | locally witnin MakeWholeProvisions complexType; see XML source
maximumBoundaryPercent | Maximum Boundary as a percentage of the Strike Price.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin BoundedCorrelation complexType; see XML source
maximumStockLoanRate | Specifies the maximum stock loan rate for Loss of Stock Borrow.
Type: | RestrictedPercentage
Content: | simple
Defined: | locally witnin AdditionalDisruptionEvents complexType; see XML source
mergerEvents | Occurs when the underlying ceases to exist following a merger between the Issuer and another company.
Type: | EquityCorporateEvents
Content: | complex, 3 elements
Defined: | locally witnin ExtraordinaryEvents complexType; see XML source
minimumBoundaryPercent | Minimum Boundary as a percentage of the Strike Price.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin BoundedCorrelation complexType; see XML source
multipleExchangeIndexAnnexFallback | For an index option transaction, a flag to indicate whether a relevant Multiple Exchange Index Annex is applicable to the transaction.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin IndexAnnexFallback.model group; see XML source
multiplier (in dividendPeriod in dividendAdjustment) | Multiplier is a percentage value which is used to produce Deviation by multiplying the difference between Expected Dividend and Actual Dividend Deviation = Multiplier * (Expected Dividend — Actual Dividend).
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin DividendPeriodDividend complexType; see XML source
mutualEarlyTermination | Used for specifying whether the Mutual Early Termination Right that is detailed in the Master Confirmation will apply.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin MutualOrOptionalEarlyTermination.model group; see XML source
nationalisationOrInsolvency | The terms "Nationalisation" and "Insolvency" have the meaning as defined in the ISDA 2002 Equity Derivatives Definitions.
Type: | NationalisationOrInsolvencyOrDelistingEventEnum
Content: | simple
Defined: | locally witnin ExtraordinaryEvents complexType; see XML source
nonCashDividendTreatment | Defines treatment of Non-Cash Dividends.
Type: | NonCashDividendTreatmentEnum
Content: | simple
Defined: | locally witnin DividendConditions complexType; see XML source
nonReliance (in representations) | If true, then non reliance is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin Representations complexType; see XML source
notional (in interestLeg) | Specifies the notional of a return type swap.
Type: | ReturnSwapNotional
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin InterestLeg complexType; see XML source
notional (in returnLeg) | Specifies the notional of a return type swap.
Type: | ReturnSwapNotional
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin ReturnLeg complexType; see XML source
notionalAdjustments | Specifies the conditions that govern the adjustment to the number of units of the return swap.
Type: | NotionalAdjustmentEnum
Content: | simple
Defined: | locally witnin ReturnLeg complexType; see XML source
notionalAmount (defined in ReturnSwapNotional complexType) | The notional amount.
Type: | NotionalAmount
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ReturnSwapNotional complexType; see XML source
notionalAmount (in correlation) | Notional amount, which is a cash multiplier.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Correlation complexType; see XML source
notionalReset | For return swaps, this element is equivalent to the term "Equity Notional Reset" as defined in the ISDA 2002 Equity Derivatives Definitions.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ReturnLegValuation complexType; see XML source
numberOfDataSeries | Number of data series, normal market practice is that correlation data sets are drawn from geographic market areas, such as America, Europe and Asia Pacific, each of these geographic areas will have its own data series to avoid contagion.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin Correlation complexType; see XML source
numberOfIndexUnits | Defines the Number Of Index Units applicable to a Dividend.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin DividendConditions complexType; see XML source
numberOfValuationDates | The number of valuation dates between valuation start date and valuation end date.
Type: | xsd:nonNegativeInteger
Content: | simple
Defined: | locally witnin EquityValuation complexType; see XML source
observationStartDate (defined in CalculatedAmount complexType) | The start of the period over which observations are made which are used in the calculation Used when the observation start date differs from the trade date such as for forward starting swaps.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CalculatedAmount complexType; see XML source
optionalEarlyTermination (in equitySwapTransactionSupplement) | A Boolean element used for specifying whether the Optional Early Termination clause detailed in the agreement will apply.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin MutualOrOptionalEarlyTermination.model group; see XML source
optionsExchangeDividends | If present and true, then options exchange dividends are applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin Dividends.model group; see XML source
optionsPriceValuation | The official settlement price as announced by the related exchange is applicable, in accordance with the ISDA 2002 definitions.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin EquityValuation complexType; see XML source
partyReference (in earlyTermination) | Reference to a party defined elsewhere in this document which may be allowed to terminate the trade.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin ReturnSwapEarlyTermination complexType; see XML source
passThrough (in feature defined in Feature.model group) | Pass through payments from the underlyer, such as dividends.
Type: | PassThrough
Content: | complex, 1 element
Defined: | locally witnin OptionFeatures complexType; see XML source
paymentAmount (defined in EquityPremium complexType) | The currency amount of the payment.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin EquityPremium complexType; see XML source
paymentAmount (in additionalPaymentAmount) | The currency amount of the payment.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin AdditionalPaymentAmount complexType; see XML source
paymentDate (defined in EquityPremium complexType) | The payment date.
Type: | AdjustableDate
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin EquityPremium complexType; see XML source
paymentDateFinal | Specifies the final payment date of the swap.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ReturnSwapPaymentDates complexType; see XML source
paymentDateOffset | Only to be used when SharePayment has been specified in the dividendDateReference element.
Type: | Offset
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin DividendPaymentDate complexType; see XML source
paymentDates (in rateOfReturn) | Specifies the payment dates of the swap.
Type: | ReturnSwapPaymentDates
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ReturnLegValuation complexType; see XML source
paymentDatesInterim | Specifies the interim payment dates of the swap.
Type: | AdjustableOrRelativeDates
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ReturnSwapPaymentDates complexType; see XML source
paymentType (in additionalPayment in returnSwap) | Classification of the payment.
Type: | PaymentType
Content: | simple, 1 attribute
Defined: | locally witnin ReturnSwapAdditionalPayment complexType; see XML source
percentageOfNotional (defined in EquityPremium complexType) | The amount of premium to be paid expressed as a percentage of the notional value of the transaction.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin EquityPremium complexType; see XML source
premiumType (defined in EquityPremium complexType) | Forward start Premium type
Type: | PremiumTypeEnum
Content: | simple
Defined: | locally witnin EquityPremium complexType; see XML source
pricePerOption (defined in EquityPremium complexType) | The amount of premium to be paid expressed as a function of the number of options.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin EquityPremium complexType; see XML source
principalAmount (in principalExchangeAmount in principalExchangeDescriptions) | Principal exchange amount when explictly stated.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PrincipalExchangeAmount complexType; see XML source
principalExchangeAmount (in principalExchangeDescriptions) | Specifies the principal echange amount, either by explicitly defining it, or by point to an amount defined somewhere else in the swap document.
Type: | PrincipalExchangeAmount
Content: | complex, 3 elements
Defined: | locally witnin PrincipalExchangeDescriptions complexType; see XML source
principalExchangeDate | Date on which each of the principal exchanges will take place.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PrincipalExchangeDescriptions complexType; see XML source
principalExchangeDescriptions | Specifies each of the characteristics of the principal exchange cashflows, in terms of paying/receiving counterparties, amounts and dates.
Type: | PrincipalExchangeDescriptions
Content: | complex, 6 elements
Defined: | locally witnin PrincipalExchangeFeatures complexType; see XML source
principalExchangeFeatures | This is used to document a Fully Funded Return Swap.
Type: | PrincipalExchangeFeatures
Content: | complex, 2 elements
Defined: | locally witnin ReturnSwapBase complexType; see XML source
principalExchanges (in principalExchangeFeatures) | The true/false flags indicating whether initial, intermediate or final exchanges of principal should occur.
Type: | PrincipalExchanges
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin PrincipalExchangeFeatures complexType; see XML source
rateOfReturn | Specifies the terms of the initial price of the return type swap and of the subsequent valuations of the underlyer.
Type: | ReturnLegValuation
Content: | complex, 6 elements
Defined: | locally witnin ReturnLeg complexType; see XML source
realisedVarianceMethod | The contract specifies whether which price must satisfy the boundary condition.
Type: | RealisedVarianceMethodEnum
Content: | simple
Defined: | locally witnin BoundedVariance complexType; see XML source
recallSpread | Spread used if exercised before make whole date.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin MakeWholeProvisions complexType; see XML source
referenceAmount | Specifies the reference Amount when this term either corresponds to the standard ISDA Definition (either the 2002 Equity Definition for the Equity Amount, or the 2000 Definition for the Interest Amount), or points to a term defined elsewhere in the swap document.
Type: | ReferenceAmount
Content: | simple, 1 attribute
Defined: | locally witnin LegAmount complexType; see XML source
relativeDateSequence (in valuationDate defined in EquityValuation complexType) | A date specified in relation to some other date defined in the document (the anchor date), where there is the opportunity to specify a combination of offset rules.
Type: | RelativeDateSequence
Content: | complex, 4 elements
Defined: | locally witnin AdjustableDateOrRelativeDateSequence complexType; see XML source
relativeDeterminationMethod | A reference to the return swap notional determination method defined elsewhere in this document.
Type: | DeterminationMethodReference
Content: | empty, 1 attribute
Defined: | locally witnin ReturnSwapNotional complexType; see XML source
relativeNotionalAmount | A reference to the return swap notional amount defined elsewhere in this document.
Type: | ReturnSwapNotionalAmountReference
Content: | empty, 1 attribute
Defined: | locally witnin ReturnSwapNotional complexType; see XML source
relevantJurisdiction | Relevent Jurisdiction is a term used in the AEJ Master Confirmation, which is used to determine local taxes, which shall mean taxes, duties and similar charges that would be imposed by the taxing authority of the Country of Underlyer on a Hypothetical Broker Dealer assuming the Applicable Hedge Positions are held by its office in the Relevant Jurisdiction.
Type: | CountryCode
Content: | simple, 1 attribute
Defined: | locally witnin EquityUnderlyerProvisions.model group; see XML source
representations | ISDA 2002 Equity Derivative Representations.
Type: | Representations
Content: | complex, 4 elements
Defined: | locally witnin ExtraordinaryEvents complexType; see XML source
resetFrequency (in interestLegResetDates) | The frequency at which reset dates occur.
Type: | ResetFrequency
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin InterestLegResetDates complexType; see XML source
resetRelativeTo (in interestLegResetDates) | Specifies whether the reset dates are determined with respect to each adjusted calculation period start date or adjusted calculation period end date.
Type: | ResetRelativeToEnum
Content: | simple
Defined: | locally witnin InterestLegResetDates complexType; see XML source
return (in returnLeg) | Specifies the conditions under which dividend affecting the underlyer will be paid to the receiver of the amounts.
Type: | Return
Content: | complex, 2 elements
Defined: | locally witnin ReturnLeg complexType; see XML source
returnLeg | Return amounts of the return type swap.
Type: | ReturnLeg
Content: | complex, 1 attribute, 16 elements
Subst.Gr: | may substitute for element returnSwapLeg
Defined: | globally; see XML source
Used: | never
returnSwap | Specifies the structure of a return type swap.
Type: | ReturnSwap
Content: | complex, 1 attribute, 12 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
returnSwapLeg | An placeholder for the actual Return Swap Leg definition.
Type: | DirectionalLeg
Content: | complex, 1 attribute, 7 elements
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | may be substituted with 2 elements
Defined: | globally; see XML source
Used: | at 3 locations
returnType | Defines the type of return associated with the return swap.
Type: | ReturnTypeEnum
Content: | simple
Defined: | locally witnin Return complexType; see XML source
shareForCombined | The consideration paid for the original shares following the Merger Event consists of both cash/securities and new shares.
Type: | ShareExtraordinaryEventEnum
Content: | simple
Defined: | locally witnin EquityCorporateEvents complexType; see XML source
shareForOther | The consideration paid for the original shares following the Merger Event consists wholly of cash/securities other than new shares.
Type: | ShareExtraordinaryEventEnum
Content: | simple
Defined: | locally witnin EquityCorporateEvents complexType; see XML source
shareForShare | The consideration paid for the original shares following the Merger Event consists wholly of new shares.
Type: | ShareExtraordinaryEventEnum
Content: | simple
Defined: | locally witnin EquityCorporateEvents complexType; see XML source
specialDividends (defined in DividendConditions complexType) | Specifies the method according to which special dividends are determined.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin DividendConditions complexType; see XML source
specificRate | Defines a specific rate.
Type: | InterestAccrualsMethod
Content: | complex, 2 elements
Defined: | locally witnin CompoundingRate complexType; see XML source
startingDate | Specifies the date from which the early termination clause can be exercised.
Type: | StartingDate
Content: | complex, 2 elements
Defined: | locally witnin ReturnSwapEarlyTermination complexType; see XML source
strikeDate | Specifies the strike date of this leg of the swap, used for forward starting swaps.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ReturnSwapLegUnderlyer complexType; see XML source
strikeDeterminationDate | The date on which the strike is determined, where this is not the effective date of a forward starting option.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin EquityStrike complexType; see XML source
strikePercentage (defined in EquityStrike complexType) | The price or level expressed as a percentage of the forward starting spot price.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin EquityStrike complexType; see XML source
strikePrice (defined in EquityStrike complexType) | The price or level at which the option has been struck.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin EquityStrike complexType; see XML source
stubCalculationPeriod | Specifies the stub calculation period.
Type: | StubCalculationPeriod
Content: | complex, 2 elements
Defined: | locally witnin InterestLeg complexType; see XML source
swapPremium | Specifies whether or not the premium is to be paid in the style of payments under an interest rate swap contract.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin EquityPremium complexType; see XML source
tenderOffer | If present and true, then tender offer is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ExtraordinaryEvents complexType; see XML source
tenderOfferEvents | ISDA 2002 Equity Tender Offer Events.
Type: | EquityCorporateEvents
Content: | complex, 3 elements
Defined: | locally witnin ExtraordinaryEvents complexType; see XML source
terminationDate (defined in DirectionalLeg complexType) | Specifies the termination date of this leg of the swap.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin DirectionalLeg complexType; see XML source
terminationDate (in interestLegCalculationPeriodDates) | Specifies the termination date of the return swap.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin InterestLegCalculationPeriodDates complexType; see XML source
unadjustedEndDate (defined in DividendPeriod complexType) | Unadjusted inclusive dividend period end date.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin DividendPeriod complexType; see XML source
unadjustedStartDate (defined in DividendPeriod complexType) | Unadjusted inclusive dividend period start date.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin DividendPeriod complexType; see XML source
unadjustedVarianceCap | For use when varianceCap is applicable.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin Variance complexType; see XML source
underlyer (defined in DirectionalLegUnderlyer complexType) | Specifies the underlyer of the leg.
Type: | Underlyer
Content: | complex, 2 elements
Defined: | locally witnin DirectionalLegUnderlyer complexType; see XML source
underlyer (in returnLeg) | Specifies the underlying component of the leg, which can be either one or many and consists in either equity, index or convertible bond component, or a combination of these.
Type: | Underlyer
Content: | complex, 2 elements
Defined: | locally witnin ReturnSwapLegUnderlyer complexType; see XML source
underlyerReference (defined in DividendPeriod complexType) | Reference to the underlyer which is paying dividends.
Type: | AssetReference
Content: | empty, 1 attribute
Defined: | locally witnin DividendPeriod complexType; see XML source
upperBarrier | All observations above this price level will be excluded from the variance calculation.
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin BoundedVariance complexType; see XML source
valuation (defined in DirectionalLegUnderlyerValuation complexType) | Valuation of the underlyer.
Type: | EquityValuation
Content: | complex, 1 attribute, 9 elements
Defined: | locally witnin DirectionalLegUnderlyerValuation complexType; see XML source
valuationDate (defined in EquityValuation complexType) | The term "Valuation Date" is assumed to have the meaning as defined in the ISDA 2002 Equity Derivatives Definitions.
Type: | AdjustableDateOrRelativeDateSequence
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin EquityValuation complexType; see XML source
valuationDates | Specifies the interim equity valuation dates of a swap.
Type: | AdjustableRelativeOrPeriodicDates
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin EquityValuation complexType; see XML source
valuationPriceFinal | Specifies the final valuation price of the underlyer.
Type: | ReturnLegValuationPrice
Content: | complex, 10 elements
Defined: | locally witnin ReturnLegValuation complexType; see XML source
valuationPriceInterim | Specifies the final valuation price of the underlyer.
Type: | ReturnLegValuationPrice
Content: | complex, 10 elements
Defined: | locally witnin ReturnLegValuation complexType; see XML source
valuationRules | Specifies valuation.
Type: | EquityValuation
Content: | complex, 1 attribute, 9 elements
Defined: | locally witnin ReturnLegValuationPrice complexType; see XML source
valuationTime (defined in EquityValuation complexType) | The specific time of day at which the calculation agent values the underlying.
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin EquityValuation complexType; see XML source
valuationTimeType | The time of day at which the calculation agent values the underlying, for example the official closing time of the exchange.
Type: | TimeTypeEnum
Content: | simple
Defined: | locally witnin EquityValuation complexType; see XML source
varianceAmount | Variance amount, which is a cash multiplier.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Variance complexType; see XML source
varianceCap | If present and true, then variance cap is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin Variance complexType; see XML source
varianceStrikePrice |
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin Variance complexType; see XML source
vegaNotionalAmount | Vega Notional represents the approximate gain/loss at maturity for a 1% difference between RVol (realised vol) and KVol (strike vol).
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Variance complexType; see XML source
volatilityStrikePrice |
Type: | NonNegativeDecimal
Content: | simple
Defined: | locally witnin Variance complexType; see XML source

Complex Type Summary
AdditionalDisruptionEvents | A type for defining ISDA 2002 Equity Derivative Additional Disruption Events.
Content: | complex, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 11 elements
Used: | at 1 location
AdditionalPaymentAmount | Specifies the amount of the fee along with, when applicable, the formula that supports its determination.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
AdjustableDateOrRelativeDateSequence | A type describing a date defined as subject to adjustment or defined in reference to another date through one or several date offsets.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location
BoundedCorrelation | A type describing correlation bounds, which form a cap and a floor on the realized correlation.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
BoundedVariance | A type describing variance bounds, which are used to exclude money price values outside of the specified range In a Up Conditional Swap Underlyer price must be equal to or higher than Lower Barrier In a Down Conditional Swap Underlyer price must be equal to or lower than Upper Barrier In a Corridor Conditional Swap Underlyer price must be equal to or higher than Lower Barrier and must be equal to or lower than Upper Barrier.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
CalculatedAmount | An abstract base class for all calculated money amounts, which are in the currency of the cash multiplier of the calculation.
Content: | complex, 5 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
CalculationFromObservation | Abstract base class for all calculation from observed values.
Content: | complex, 4 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
Compounding | Specifies the compounding method and the compounding rate.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
CompoundingRate | A type defining a compounding rate.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
Correlation | A type describing the correlation amount of a correlation swap.
Content: | complex, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
DirectionalLeg | An abstract base class for all directional leg types with effective date, termination date, where a payer makes a stream of payments of greater than zero value to a receiver.
Content: | complex, 1 attribute, 7 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 5 locations
DirectionalLegUnderlyer | An abstract base class for all directional leg types with effective date, termination date, and underlyer where a payer makes a stream of payments of greater than zero value to a receiver.
Content: | complex, 1 attribute, 13 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
DirectionalLegUnderlyerValuation | An abstract base class for all directional leg types with effective date, termination date, and underlyer, where a payer makes a stream of payments of greater than zero value to a receiver.
Content: | complex, 1 attribute, 14 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
DividendAdjustment | Container for Dividend Adjustment Periods, which are used to calculate the Deviation between Expected Dividend and Actual Dividend in that Period.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
DividendConditions | A type describing the conditions governing the payment of dividends to the receiver of the equity return.
Content: | complex, 20 elements
Defined: | globally; see XML source
Includes: | definitions of 15 elements
Used: | at 2 locations
DividendPaymentDate | A type describing the date on which the dividend will be paid/received.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
DividendPeriod | Abstract base class of all time bounded dividend period types.
Content: | complex, 1 attribute, 4 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 2 locations
DividendPeriodDividend | A time bounded dividend period, with an expected dividend for each period.
Content: | complex, 1 attribute, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
EquityCorporateEvents | A type for defining the merger events and their treatment.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
EquityPremium | A type used to describe the amount paid for an equity option.
Content: | complex, 1 attribute, 10 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 3 locations
EquityStrike | A type for defining the strike price for an equity option.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
EquityValuation | A type for defining how and when an equity option is to be valued.
Content: | complex, 1 attribute, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 9 elements
Used: | at 3 locations
ExtraordinaryEvents | Where the underlying is shares, defines market events affecting the issuer of those shares that may require the terms of the transaction to be adjusted.
Content: | complex, 13 elements
Defined: | globally; see XML source
Includes: | definitions of 10 elements
Used: | at 5 locations
FloatingRateCalculationReference | Reference to a floating rate calculation of interest calculation component.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
IndexAdjustmentEvents | Defines the specification of the consequences of Index Events as defined by the 2002 ISDA Equity Derivatives Definitions.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
InterestCalculation | Specifies the calculation method of the interest rate leg of the return swap.
Content: | complex, 1 attribute, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 1 location
InterestLeg | A type describing the fixed income leg of the equity swap.
Content: | complex, 1 attribute, 12 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
InterestLegCalculationPeriodDates | Component that holds the various dates used to specify the interest leg of the return swap.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 1 location
InterestLegCalculationPeriodDatesReference | Reference to the calculation period dates of the interest leg.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
InterestLegResetDates |
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
LegAmount | A type describing the amount that will paid or received on each of the payment dates.
Content: | complex, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
LegId | Leg identity.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
LegIdentifier | Version aware identification of a leg.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
MakeWholeProvisions | A type to hold early exercise provisions.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
NettedSwapBase | An abstract base class for all swap types which have a single netted leg, such as Variance Swaps, and Correlation Swaps.
Content: | complex, 1 attribute, 5 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
OptionFeatures | A type for defining option features.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
PrincipalExchangeAmount | Specifies the principal exchange amount, either by explicitly defining it, or by point to an amount defined somewhere else in the swap document.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
PrincipalExchangeDescriptions | Specifies each of the characteristics of the principal exchange cashflows, in terms of paying/receiving counterparties, amounts and dates.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
PrincipalExchangeFeatures | A type describing the principal exchange features of the return swap.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
Representations | A type for defining ISDA 2002 Equity Derivative Representations.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
Return | A type describing the dividend return conditions applicable to the swap.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ReturnLeg | A type describing the return leg of a return type swap.
Content: | complex, 1 attribute, 16 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location
ReturnLegValuation | A type describing the initial and final valuation of the underlyer.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
ReturnLegValuationPrice |
Content: | complex, 10 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 3 locations
ReturnSwap | A type describing return swaps including return swaps (long form), total return swaps, and variance swaps.
Content: | complex, 1 attribute, 12 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
ReturnSwapAdditionalPayment | A type describing the additional payment(s) between the principal parties to the trade.
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
ReturnSwapAmount | Specifies, in relation to each Payment Date, the amount to which the Payment Date relates.
Content: | complex, 11 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ReturnSwapBase | A type describing the components that are common for return type swaps, including short and long form return swaps representations.
Content: | complex, 1 attribute, 9 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
ReturnSwapEarlyTermination | A type describing the date from which each of the party may be allowed to terminate the trade.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ReturnSwapLegUnderlyer | A base class for all return leg types with an underlyer.
Content: | complex, 1 attribute, 9 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ReturnSwapNotional | Specifies the notional of return type swap.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 2 locations
ReturnSwapPaymentDates | A type describing the return payment dates of the swap.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location
StartingDate | A type specifying the date from which the early termination clause can be exercised.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
StubCalculationPeriod | A type describing the Stub Calculation Period.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
Variance | A type describing the variance amount of a variance swap.
Content: | complex, 12 elements
Defined: | globally; see XML source
Includes: | definitions of 8 elements
Used: | at 1 location

Element Group Summary
CurrencyAndDeterminationMethod.model | A group containing return swap amount currency definition methods
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
DeclaredCashAndCashEquivalentDividendPercentage.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
Dividends.model | A group containing Dividend content
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
EquityUnderlyerProvisions.model | A group containing Equity Underlyer provisions.
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
Feature.model | A group containing Swap and Derivative features.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
IndexAnnexFallback.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
MutualOrOptionalEarlyTermination.model |
Content: | 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 8615 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-option-shared-5-3.xsd"/> <xsd:complexType name="AdditionalDisruptionEvents"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining ISDA 2002 Equity Derivative Additional Disruption Events. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="changeInLaw" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en">If true, then change in law is applicable.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="failureToDeliver" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Where the underlying is shares and the transaction is physically settled, then, if true, a failure to deliver the shares on the settlement date will not be an event of default for the purposes of the master agreement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="insolvencyFiling" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en">If true, then insolvency filing is applicable.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="hedgingDisruption" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en">If true, then hedging disruption is applicable.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="lossOfStockBorrow" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en">If true, then loss of stock borrow is applicable.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="maximumStockLoanRate" type="RestrictedPercentage"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the maximum stock loan rate for Loss of Stock Borrow. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="increasedCostOfStockBorrow" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If true, then increased cost of stock borrow is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="initialStockLoanRate" type="RestrictedPercentage"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the initial stock loan rate for Increased Cost of Stock Borrow. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="increasedCostOfHedging" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If true, then increased cost of hedging is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="determiningPartyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the party which determines additional disruption events. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="foreignOwnershipEvent" type="xsd:boolean"> <xsd:annotation> <xsd:documentation> If true, then foreign ownership event is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="AdditionalPaymentAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the amount of the fee along with, when applicable, the formula that supports its determination. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="paymentAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency amount of the payment.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="formula" type="Formula"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies a formula, with its description and components. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="AdjustableDateOrRelativeDateSequence"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing a date defined as subject to adjustment or defined in reference to another date through one or several date offsets. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="adjustableDate" type="AdjustableDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A date that shall be subject to adjustment if it would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="relativeDateSequence" type="RelativeDateSequence"> <xsd:annotation> <xsd:documentation xml:lang="en"> A date specified in relation to some other date defined in the document (the anchor date), where there is the opportunity to specify a combination of offset rules. This component will typically be used for defining the valuation date in relation to the payment date, as both the currency and the exchange holiday calendars need to be considered. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="BoundedCorrelation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing correlation bounds, which form a cap and a floor on the realized correlation. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="minimumBoundaryPercent" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Minimum Boundary as a percentage of the Strike Price. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="maximumBoundaryPercent" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Maximum Boundary as a percentage of the Strike Price. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="BoundedVariance"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing variance bounds, which are used to exclude money price values outside of the specified range In a Up Conditional Swap Underlyer price must be equal to or higher than Lower Barrier In a Down Conditional Swap Underlyer price must be equal to or lower than Upper Barrier In a Corridor Conditional Swap Underlyer price must be equal to or higher than Lower Barrier and must be equal to or lower than Upper Barrier. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="realisedVarianceMethod" type="RealisedVarianceMethodEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The contract specifies whether which price must satisfy the boundary condition. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="daysInRangeAdjustment" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> The contract specifies whether the notional should be scaled by the Number of Days in Range divided by the Expected N. The number of Days in Ranges refers to the number of returns that contribute to the realized volatility. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="upperBarrier" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> All observations above this price level will be excluded from the variance calculation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="lowerBarrier" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> All observations below this price level will be excluded from the variance calculation. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType abstract="true" name="CalculatedAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> An abstract base class for all calculated money amounts, which are in the currency of the cash multiplier of the calculation. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="calculationDates" type="AdjustableRelativeOrPeriodicDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the date on which a calculation or an observation will be performed for the purpose of calculating the amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="observationStartDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The start of the period over which observations are made which are used in the calculation Used when the observation start date differs from the trade date such as for forward starting swaps. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="Dividends.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType abstract="true" name="CalculationFromObservation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Abstract base class for all calculation from observed values. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="initialLevel" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Contract will strike off this initial level.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="closingLevel" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If true this contract will strike off the closing level of the default exchange traded contract. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expiringLevel" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If true this contract will strike off the expiring level of the default exchange traded contract. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="expectedN" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en">Expected number of trading days.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Compounding"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the compounding method and the compounding rate. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="compoundingMethod" type="CompoundingMethodEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> If more that one calculation period contributes to a single payment amount this element specifies whether compounding is applicable, and if so, what compounding method is to be used. This element must only be included when more that one calculation period contributes to a single payment amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="compoundingRate" type="CompoundingRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a compounding rate. The compounding interest can either point back to the interest calculation node on the Interest Leg, or be defined specifically. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="compoundingSpread" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the spread to be used for compounding. This field should be used in scenarios where the interest payment is based on a compounding formula that uses a compounding spread in addition to the regular spread. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="compoundingDates" type="AdjustableRelativeOrPeriodicDates2"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines the compounding dates.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CompoundingRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a compounding rate. The compounding interest can either point back to the floating rate calculation of interest calculation node on the Interest Leg, or be defined specifically. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="interestLegRate" type="FloatingRateCalculationReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to the floating rate calculation of interest calculation node on the Interest Leg. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="specificRate" type="InterestAccrualsMethod"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines a specific rate.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="Correlation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the correlation amount of a correlation swap. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CalculationFromObservation"> <xsd:sequence> <xsd:element minOccurs="0" name="notionalAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">Notional amount, which is a cash multiplier.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="correlationStrikePrice" type="CorrelationValue"> <xsd:annotation> <xsd:documentation xml:lang="en">Correlation Strike Price.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="boundedCorrelation" type="BoundedCorrelation"> <xsd:annotation> <xsd:documentation xml:lang="en">Bounded Correlation.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="numberOfDataSeries" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> Number of data series, normal market practice is that correlation data sets are drawn from geographic market areas, such as America, Europe and Asia Pacific, each of these geographic areas will have its own data series to avoid contagion. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="DirectionalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> An abstract base class for all directional leg types with effective date, termination date, where a payer makes a stream of payments of greater than zero value to a receiver. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Leg"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="legIdentifier" type="LegIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en">Version aware identification of this leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the effective date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the effective date of the other leg of the swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="terminationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the termination date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the termination date of the other leg of the swap. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="DirectionalLegUnderlyer"> <xsd:annotation> <xsd:documentation xml:lang="en"> An abstract base class for all directional leg types with effective date, termination date, and underlyer where a payer makes a stream of payments of greater than zero value to a receiver. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="DirectionalLeg"> <xsd:sequence> <xsd:element minOccurs="0" name="underlyer" type="Underlyer"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the underlyer of the leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="OptionSettlement.model"/> <xsd:element minOccurs="0" name="fxFeature" type="FxFeature"> <xsd:annotation> <xsd:documentation xml:lang="en">Quanto, Composite, or Cross Currency FX features.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="DirectionalLegUnderlyerValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> An abstract base class for all directional leg types with effective date, termination date, and underlyer, where a payer makes a stream of payments of greater than zero value to a receiver. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="DirectionalLegUnderlyer"> <xsd:sequence> <xsd:element minOccurs="0" name="valuation" type="EquityValuation"> <xsd:annotation> <xsd:documentation xml:lang="en">Valuation of the underlyer.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="DividendAdjustment"> <xsd:annotation> <xsd:documentation xml:lang="en"> Container for Dividend Adjustment Periods, which are used to calculate the Deviation between Expected Dividend and Actual Dividend in that Period. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="dividendPeriod" type="DividendPeriodDividend"> <xsd:annotation> <xsd:documentation xml:lang="en">A single Dividend Adjustment Period.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="DividendConditions"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the conditions governing the payment of dividends to the receiver of the equity return. With the exception of the dividend payout ratio, which is defined for each of the underlying components. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="dividendReinvestment" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Boolean element that defines whether the dividend will be reinvested or not. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dividendEntitlement" type="DividendEntitlementEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the date on which the receiver on the equity return is entitled to the dividend. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dividendAmount" type="DividendAmountTypeEnum"/> <xsd:element minOccurs="0" name="dividendPaymentDate" type="DividendPaymentDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies when the dividend will be paid to the receiver of the equity return. Has the meaning as defined in the ISDA 2002 Equity Derivatives Definitions. Is not applicable in the case of a dividend reinvestment election. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="dividendPeriodEffectiveDate" type="DateReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Dividend period has the meaning as defined in the ISDA 2002 Equity Derivatives Definitions. This element specifies the date on which the dividend period will commence. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dividendPeriodEndDate" type="DateReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Dividend period has the meaning as defined in the ISDA 2002 Equity Derivatives Definitions. This element specifies the date on which the dividend period will end. It includes a boolean attribute for defining whether this end date is included or excluded from the dividend period. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element minOccurs="0" name="dividendPeriod" type="DividendPeriodEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the First Period or the Second Period, as defined in the 2002 ISDA Equity Derivatives Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="extraOrdinaryDividends" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to the party which determines if dividends are extraordinary in relation to normal levels. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="excessDividendAmount" type="DividendAmountTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">Determination of Gross Cash Dividend per Share.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="CurrencyAndDeterminationMethod.model"/> <xsd:element minOccurs="0" name="dividendFxTriggerDate" type="DividendPaymentDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the date on which the FX rate will be considered in the case of a Composite FX swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="interestAccrualsMethod" type="InterestAccrualsCompoundingMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the way in which interests are accrued: the applicable rate (fixed or floating reference) and the compounding method. </xsd:documentation> <xsd:documentation xml:lang="en">FpML entity</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="numberOfIndexUnits" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the Number Of Index Units applicable to a Dividend. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="DeclaredCashAndCashEquivalentDividendPercentage.model"/> <xsd:element minOccurs="0" name="nonCashDividendTreatment" type="NonCashDividendTreatmentEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines treatment of Non-Cash Dividends.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dividendComposition" type="DividendCompositionEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines how the composition of Dividends is to be determined. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="specialDividends" type="xsd:boolean"> <xsd:annotation> <xsd:documentation> Specifies the method according to which special dividends are determined. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="DividendPaymentDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the date on which the dividend will be paid/received. This type is also used to specify the date on which the FX rate will be determined, when applicable. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="dividendDateReference" type="DividendDateReferenceEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specification of the dividend date using an enumeration, with values such as the pay date, the ex date or the record date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentDateOffset" type="Offset"> <xsd:annotation> <xsd:documentation xml:lang="en"> Only to be used when SharePayment has been specified in the dividendDateReference element. The number of Currency Business Days following the day on which the Issuer of the Shares pays the relevant dividend to holders of record of the Shares. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element minOccurs="0" name="adjustableDate" type="AdjustableDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A date that shall be subject to adjustment if it would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType abstract="true" name="DividendPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Abstract base class of all time bounded dividend period types. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="unadjustedStartDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en">Unadjusted inclusive dividend period start date.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="unadjustedEndDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en">Unadjusted inclusive dividend period end date.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dateAdjustments" type="BusinessDayAdjustments"> <xsd:annotation> <xsd:documentation xml:lang="en"> Date adjustments for all unadjusted dates in this dividend period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="underlyerReference" type="AssetReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to the underlyer which is paying dividends. This should be used in all cases, and must be used where there are multiple underlying assets, to avoid any ambiguity about which asset the dividend period relates to. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="DividendPeriodDividend"> <xsd:annotation> <xsd:documentation xml:lang="en"> A time bounded dividend period, with an expected dividend for each period. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="DividendPeriod"> <xsd:sequence> <xsd:element minOccurs="0" name="dividend" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">Expected dividend in this period.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="multiplier" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Multiplier is a percentage value which is used to produce Deviation by multiplying the difference between Expected Dividend and Actual Dividend Deviation = Multiplier * (Expected Dividend &#8212; Actual Dividend). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="EquityCorporateEvents"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining the merger events and their treatment. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="shareForShare" type="ShareExtraordinaryEventEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The consideration paid for the original shares following the Merger Event consists wholly of new shares. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="shareForOther" type="ShareExtraordinaryEventEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The consideration paid for the original shares following the Merger Event consists wholly of cash/securities other than new shares. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="shareForCombined" type="ShareExtraordinaryEventEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The consideration paid for the original shares following the Merger Event consists of both cash/securities and new shares. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EquityPremium"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used to describe the amount paid for an equity option. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="premiumType" type="PremiumTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">Forward start Premium type</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency amount of the payment.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentDate" type="AdjustableDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The payment date. This date is subject to adjustment in accordance with any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="swapPremium" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether or not the premium is to be paid in the style of payments under an interest rate swap contract. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="pricePerOption" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount of premium to be paid expressed as a function of the number of options. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="percentageOfNotional" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount of premium to be paid expressed as a percentage of the notional value of the transaction. A percentage of 5% would be expressed as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="EquityStrike"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining the strike price for an equity option. The strike price is either: (i) in respect of an index option transaction, the level of the relevant index specified or otherwise determined in the transaction; or (ii) in respect of a share option transaction, the price per share specified or otherwise determined in the transaction. This can be expressed either as a percentage of notional amount or as an absolute value. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="strikePrice" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The price or level at which the option has been struck. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence> <xsd:element minOccurs="0" name="strikePercentage" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The price or level expressed as a percentage of the forward starting spot price. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="strikeDeterminationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the strike is determined, where this is not the effective date of a forward starting option. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> <xsd:element minOccurs="0" name="currency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency in which an amount is denominated.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EquityValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining how and when an equity option is to be valued. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="valuationDate" type="AdjustableDateOrRelativeDateSequence"> <xsd:annotation> <xsd:documentation xml:lang="en"> The term "Valuation Date" is assumed to have the meaning as defined in the ISDA 2002 Equity Derivatives Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valuationDates" type="AdjustableRelativeOrPeriodicDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the interim equity valuation dates of a swap. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="valuationTimeType" type="TimeTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time of day at which the calculation agent values the underlying, for example the official closing time of the exchange. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valuationTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specific time of day at which the calculation agent values the underlying. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="futuresPriceValuation" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> The official settlement price as announced by the related exchange is applicable, in accordance with the ISDA 2002 definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="optionsPriceValuation" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> The official settlement price as announced by the related exchange is applicable, in accordance with the ISDA 2002 definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="numberOfValuationDates" type="xsd:nonNegativeInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of valuation dates between valuation start date and valuation end date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dividendValuationDates" type="AdjustableRelativeOrPeriodicDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the dividend valuation dates of the swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fPVFinalPriceElectionFallback" type="FPVFinalPriceElectionFallbackEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fallback provisions for Hedging Party in the determination of the Final Price. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="ExtraordinaryEvents"> <xsd:annotation> <xsd:documentation xml:lang="en"> Where the underlying is shares, defines market events affecting the issuer of those shares that may require the terms of the transaction to be adjusted. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="mergerEvents" type="EquityCorporateEvents"> <xsd:annotation> <xsd:documentation xml:lang="en"> Occurs when the underlying ceases to exist following a merger between the Issuer and another company. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="tenderOffer" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If present and true, then tender offer is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="tenderOfferEvents" type="EquityCorporateEvents"> <xsd:annotation> <xsd:documentation xml:lang="en">ISDA 2002 Equity Tender Offer Events.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="compositionOfCombinedConsideration" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If present and true, then composition of combined consideration is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="indexAdjustmentEvents" type="IndexAdjustmentEvents"> <xsd:annotation> <xsd:documentation xml:lang="en">ISDA 2002 Equity Index Adjustment Events.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:element minOccurs="0" name="additionalDisruptionEvents" type="AdditionalDisruptionEvents"> <xsd:annotation> <xsd:documentation xml:lang="en">ISDA 2002 Equity Additional Disruption Events.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="failureToDeliver" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en">If true, failure to deliver is applicable.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="representations" type="Representations"> <xsd:annotation> <xsd:documentation xml:lang="en">ISDA 2002 Equity Derivative Representations.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="nationalisationOrInsolvency" type="NationalisationOrInsolvencyOrDelistingEventEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The terms "Nationalisation" and "Insolvency" have the meaning as defined in the ISDA 2002 Equity Derivatives Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="delisting" type="NationalisationOrInsolvencyOrDelistingEventEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The term "Delisting" has the meaning defined in the ISDA 2002 Equity Derivatives Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="ExchangeIdentifier.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> In order for a contract to be considered a 'Designated Contract', the Related Exchange that the contract is traded on must also be a Specified Exchange (i.e. the Related Exchange specified for the underlier contract must be either Eure, Euronext, MEF, or IDEM or an exchange specified in the Transaction Supplement, in order for the contract to qualify as a Designated Contract). If the Related Exchange is not one of the Specified Exchanges, then no Designated Contract is deemed to exist. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FloatingRateCalculationReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to a floating rate calculation of interest calculation component. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="floatingRateCalculation" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="IndexAdjustmentEvents"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the specification of the consequences of Index Events as defined by the 2002 ISDA Equity Derivatives Definitions. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="indexModification" type="IndexEventConsequenceEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">Consequence of index modification.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="indexCancellation" type="IndexEventConsequenceEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">Consequence of index cancellation.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="indexDisruption" type="IndexEventConsequenceEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">Consequence of index disruption.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="InterestCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the calculation method of the interest rate leg of the return swap. Includes the floating or fixed rate calculation definitions, along with the determination of the day count fraction. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="InterestAccrualsMethod"> <xsd:sequence> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"> <xsd:annotation> <xsd:documentation xml:lang="en">The day count fraction.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="compounding" type="Compounding"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines compounding rates on the Interest Leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="interpolationMethod" type="InterpolationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the type of interpolation used.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="interpolationPeriod" type="InterpolationPeriodEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines applicable periods for interpolation.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="InterestLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the fixed income leg of the equity swap. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="DirectionalLeg"> <xsd:sequence> <xsd:element minOccurs="0" name="interestLegCalculationPeriodDates" type="InterestLegCalculationPeriodDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> Component that holds the various dates used to specify the interest leg of the equity swap. It is used to define the InterestPeriodDates identifyer. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="notional" type="ReturnSwapNotional"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the notional of a return type swap. When used in the equity leg, the definition will typically combine the actual amount (using the notional component defined by the FpML industry group) and the determination method. When used in the interest leg, the definition will typically point to the definition of the equity leg. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="interestAmount" type="LegAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies, in relation to each Interest Payment Date, the amount to which the Interest Payment Date relates. Unless otherwise specified, this term has the meaning defined in the ISDA 2000 ISDA Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="interestCalculation" type="InterestCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the calculation method of the interest rate leg of the equity swap. Includes the floating or fixed rate calculation definitions, along with the determination of the day count fraction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="stubCalculationPeriod" type="StubCalculationPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the stub calculation period.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="InterestLegCalculationPeriodDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> Component that holds the various dates used to specify the interest leg of the return swap. It is used to define the InterestPeriodDates identifyer. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the effective date of the return swap. This global element is valid within the return swaps namespace. Within the FpML namespace, another effectiveDate global element has been defined, that is different in the sense that it does not propose the choice of refering to another date in the document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="terminationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the termination date of the return swap. This global element is valid within the return swaps namespace. Within the FpML namespace, another terminationDate global element has been defined, that is different in the sense that it does not propose the choice of refering to another date in the document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="interestLegResetDates" type="InterestLegResetDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the reset dates of the interest leg of the swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="interestLegPaymentDates" type="AdjustableRelativeOrPeriodicDates2"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the payment dates of the interest leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDates component), this element will typically point to the payment dates of the equity leg of the swap. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="required"/> </xsd:complexType> <xsd:complexType name="InterestLegCalculationPeriodDatesReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to the calculation period dates of the interest leg. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="InterestLegCalculationPeriodDates" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="InterestLegResetDates"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationPeriodDatesReference" type="InterestLegCalculationPeriodDatesReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to the associated calculation period dates component defined elsewhere in the document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:element minOccurs="0" name="resetRelativeTo" type="ResetRelativeToEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the reset dates are determined with respect to each adjusted calculation period start date or adjusted calculation period end date. If the reset frequency is specified as daily this element must not be included. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="resetFrequency" type="ResetFrequency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The frequency at which reset dates occur. In the case of a weekly reset frequency, also specifies the day of the week that the reset occurs. If the reset frequency is greater than the calculation period frequency then this implies that more than one reset date is established for each calculation period and some form of rate averaging is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="initialFixingDate" type="RelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> Initial fixing date expressed as an offset to another date defined elsewhere in the document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fixingDates" type="AdjustableDatesOrRelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixing date relative to the reset date in terms of a business days offset, or by providing a series of adjustable dates. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="LegAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the amount that will paid or received on each of the payment dates. This type is used to define both the Equity Amount and the Interest Amount. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group minOccurs="0" ref="CurrencyAndDeterminationMethod.model"/> <xsd:choice> <xsd:element minOccurs="0" name="referenceAmount" type="ReferenceAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the reference Amount when this term either corresponds to the standard ISDA Definition (either the 2002 Equity Definition for the Equity Amount, or the 2000 Definition for the Interest Amount), or points to a term defined elsewhere in the swap document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="formula" type="Formula"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies a formula, with its description and components. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="encodedDescription" type="xsd:base64Binary"> <xsd:annotation> <xsd:documentation xml:lang="en"> Description of the leg amount when represented through an encoded image. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="calculationDates" type="AdjustableRelativeOrPeriodicDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the date on which a calculation or an observation will be performed for the purpose of defining the Equity Amount, and in accordance to the definition terms of this latter. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="LegId"> <xsd:annotation> <xsd:documentation xml:lang="en">Leg identity.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Token60"> <xsd:attribute name="legIdScheme" type="xsd:anyURI" use="required"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="LegIdentifier"> <xsd:annotation> <xsd:documentation>Version aware identification of a leg.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="legId" type="LegId"> <xsd:annotation> <xsd:documentation>Identity of this leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="VersionHistory.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="MakeWholeProvisions"> <xsd:annotation> <xsd:documentation xml:lang="en">A type to hold early exercise provisions.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="makeWholeDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Date through which option can not be exercised without penalty. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="recallSpread" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Spread used if exercised before make whole date. Early termination penalty. Expressed in bp, e.g. 25 bp. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType abstract="true" name="NettedSwapBase"> <xsd:annotation> <xsd:documentation xml:lang="en"> An abstract base class for all swap types which have a single netted leg, such as Variance Swaps, and Correlation Swaps. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="ClassifiedPayment"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies additional payment(s) between the principal parties to the netted swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="extraordinaryEvents" type="ExtraordinaryEvents"> <xsd:annotation> <xsd:documentation xml:lang="en"> Where the underlying is shares, specifies events affecting the issuer of those shares that may require the terms of the transaction to be adjusted. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="OptionFeatures"> <xsd:annotation> <xsd:documentation xml:lang="en">A type for defining option features.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="asian" type="Asian"> <xsd:annotation> <xsd:documentation xml:lang="en"> An option where and average price is taken on valuation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="barrier" type="Barrier"> <xsd:annotation> <xsd:documentation xml:lang="en">An option with a barrier feature.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="knock" type="Knock"> <xsd:annotation> <xsd:documentation xml:lang="en">A knock feature.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="passThrough" type="PassThrough"> <xsd:annotation> <xsd:documentation xml:lang="en"> Pass through payments from the underlyer, such as dividends. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dividendAdjustment" type="DividendAdjustment"> <xsd:annotation> <xsd:documentation xml:lang="en"> Dividend adjustment of the contract is driven by the difference between the Expected Dividend, and the Actual Dividend, which is multiplied by an agreed Factor to produce a Deviation, which is used as the basis for adjusting the contract. The parties acknowledge that in determining the Call Strike Price of the Transaction the parties have assumed that the Dividend scheduled to be paid by the Issuer to holders of record of the Shares, in the period set out in Column headed Relevant Period will equal per Share the amount stated in respect of such Relevant Period. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PrincipalExchangeAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the principal exchange amount, either by explicitly defining it, or by point to an amount defined somewhere else in the swap document. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="amountRelativeTo" type="AmountReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to an amount defined elsewhere in the document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="determinationMethod" type="DeterminationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the method according to which an amount or a date is determined. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="principalAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">Principal exchange amount when explictly stated.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="PrincipalExchangeDescriptions"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies each of the characteristics of the principal exchange cashflows, in terms of paying/receiving counterparties, amounts and dates. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="principalExchangeAmount" type="PrincipalExchangeAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the principal echange amount, either by explicitly defining it, or by point to an amount defined somewhere else in the swap document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="principalExchangeDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Date on which each of the principal exchanges will take place. This date is either explictly stated, or is defined by reference to another date in the swap document. In this latter case, it will typically refer to one other date of the equity leg: either the effective date (initial exchange), or the last payment date (final exchange). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PrincipalExchangeFeatures"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the principal exchange features of the return swap. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="principalExchanges" type="PrincipalExchanges"> <xsd:annotation> <xsd:documentation xml:lang="en"> The true/false flags indicating whether initial, intermediate or final exchanges of principal should occur. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="principalExchangeDescriptions" type="PrincipalExchangeDescriptions"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies each of the characteristics of the principal exchange cashflows, in terms of paying/receiving counterparties, amounts and dates. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Representations"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type for defining ISDA 2002 Equity Derivative Representations. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="nonReliance" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en">If true, then non reliance is applicable.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="agreementsRegardingHedging" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If true, then agreements regarding hedging are applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="indexDisclaimer" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If present and true, then index disclaimer is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="additionalAcknowledgements" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If true, then additional acknowledgements are applicable. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Return"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the dividend return conditions applicable to the swap. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="returnType" type="ReturnTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the type of return associated with the return swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dividendConditions" type="DividendConditions"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the conditions governing the payment of the dividends to the receiver of the equity return. With the exception of the dividend payout ratio, which is defined for each of the underlying components. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ReturnLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the return leg of a return type swap. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ReturnSwapLegUnderlyer"> <xsd:sequence> <xsd:element minOccurs="0" name="rateOfReturn" type="ReturnLegValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the terms of the initial price of the return type swap and of the subsequent valuations of the underlyer. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="notional" type="ReturnSwapNotional"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the notional of a return type swap. When used in the equity leg, the definition will typically combine the actual amount (using the notional component defined by the FpML industry group) and the determination method. When used in the interest leg, the definition will typically point to the definition of the equity leg. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="amount" type="ReturnSwapAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies, in relation to each Payment Date, the amount to which the Payment Date relates. For return swaps this element is equivalent to the Equity Amount term as defined in the ISDA 2002 Equity Derivatives Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="return" type="Return"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the conditions under which dividend affecting the underlyer will be paid to the receiver of the amounts. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="notionalAdjustments" type="NotionalAdjustmentEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the conditions that govern the adjustment to the number of units of the return swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fxFeature" type="FxFeature"> <xsd:annotation> <xsd:documentation xml:lang="en">A quanto or composite FX feature.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="averagingDates" type="AveragingPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en">Averaging Dates used in the swap.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ReturnLegValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the initial and final valuation of the underlyer. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="initialPrice" type="ReturnLegValuationPrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the initial reference price of the underlyer. This price can be expressed either as an actual amount/currency, as a determination method, or by reference to another value specified in the swap document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="notionalReset" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> For return swaps, this element is equivalent to the term "Equity Notional Reset" as defined in the ISDA 2002 Equity Derivatives Definitions. The reference to the ISDA definition is either "Applicable" or 'Inapplicable". </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valuationPriceInterim" type="ReturnLegValuationPrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the final valuation price of the underlyer. This price can be expressed either as an actual amount/currency, as a determination method, or by reference to another value specified in the swap document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valuationPriceFinal" type="ReturnLegValuationPrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the final valuation price of the underlyer. This price can be expressed either as an actual amount/currency, as a determination method, or by reference to another value specified in the swap document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentDates" type="ReturnSwapPaymentDates"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the payment dates of the swap.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exchangeTradedContractNearest" type="ExchangeTradedContract"> <xsd:annotation> <xsd:documentation xml:lang="en">References a Contract on the Exchange.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ReturnLegValuationPrice"> <xsd:complexContent> <xsd:extension base="Price"> <xsd:sequence> <xsd:element minOccurs="0" name="valuationRules" type="EquityValuation"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies valuation.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ReturnSwap"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing return swaps including return swaps (long form), total return swaps, and variance swaps. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ReturnSwapBase"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="ReturnSwapAdditionalPayment"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies additional payment(s) between the principal parties to the trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="earlyTermination" type="ReturnSwapEarlyTermination"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies, for one or for both the parties to the trade, the date from which it can early terminate it. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="extraordinaryEvents" type="ExtraordinaryEvents"> <xsd:annotation> <xsd:documentation xml:lang="en"> Where the underlying is shares, specifies events affecting the issuer of those shares that may require the terms of the transaction to be adjusted. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ReturnSwapAdditionalPayment"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the additional payment(s) between the principal parties to the trade. This component extends some of the features of the additionalPayment component previously developed in FpML. Appropriate discussions will determine whether it would be appropriate to extend the shared component in order to meet the further requirements of equity swaps. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="additionalPaymentAmount" type="AdditionalPaymentAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the amount of the fee along with, when applicable, the formula that supports its determination. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="additionalPaymentDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the value date of the fee payment/receipt. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentType" type="PaymentType"> <xsd:annotation> <xsd:documentation xml:lang="en">Classification of the payment.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ReturnSwapAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies, in relation to each Payment Date, the amount to which the Payment Date relates. For Equity Swaps this element is equivalent to the Equity Amount term as defined in the ISDA 2002 Equity Derivatives Definitions. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="LegAmount"> <xsd:sequence> <xsd:element minOccurs="0" name="cashSettlement" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en">If true, then cash settlement is applicable.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="Dividends.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="ReturnSwapBase"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the components that are common for return type swaps, including short and long form return swaps representations. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group minOccurs="0" ref="BuyerSeller.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> BuyerSeller.model has been included as an optional child of ReturnSwapBase to support the situation where an implementor wishes to indicate who has manufactured the Swap through representing them as the Seller. It may be removed in future major revisions. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="returnSwapLeg"/> <xsd:element minOccurs="0" name="principalExchangeFeatures" type="PrincipalExchangeFeatures"> <xsd:annotation> <xsd:documentation xml:lang="en"> This is used to document a Fully Funded Return Swap. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ReturnSwapEarlyTermination"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the date from which each of the party may be allowed to terminate the trade. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="partyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to a party defined elsewhere in this document which may be allowed to terminate the trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="startingDate" type="StartingDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the date from which the early termination clause can be exercised. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType abstract="true" name="ReturnSwapLegUnderlyer"> <xsd:annotation> <xsd:documentation xml:lang="en"> A base class for all return leg types with an underlyer. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="DirectionalLeg"> <xsd:sequence> <xsd:element minOccurs="0" name="strikeDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the strike date of this leg of the swap, used for forward starting swaps. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically by relative to the trade date of the swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="underlyer" type="Underlyer"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the underlying component of the leg, which can be either one or many and consists in either equity, index or convertible bond component, or a combination of these. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ReturnSwapNotional"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the notional of return type swap. When used in the equity leg, the definition will typically combine the actual amount (using the notional component defined by the FpML industry group) and the determination method. When used in the interest leg, the definition will typically point to the definition of the equity leg. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="relativeNotionalAmount" type="ReturnSwapNotionalAmountReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the return swap notional amount defined elsewhere in this document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="relativeDeterminationMethod" type="DeterminationMethodReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to the return swap notional determination method defined elsewhere in this document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="determinationMethod" type="DeterminationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the method according to which an amount or a date is determined. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="notionalAmount" type="NotionalAmount"> <xsd:annotation> <xsd:documentation xml:lang="en">The notional amount.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="ReturnSwapPaymentDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the return payment dates of the swap. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="paymentDatesInterim" type="AdjustableOrRelativeDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the interim payment dates of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDates component), this element will typically refer to the valuation dates and add a lag corresponding to the settlement cycle of the underlyer. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentDateFinal" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the final payment date of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically refer to the final valuation date and add a lag corresponding to the settlement cycle of the underlyer. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="StartingDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type specifying the date from which the early termination clause can be exercised. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="dateRelativeTo" type="DateReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to a date defined elswhere in the document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustableDate" type="AdjustableDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Date from which early termination clause can be exercised. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="StubCalculationPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en">A type describing the Stub Calculation Period.</xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:annotation> <xsd:documentation xml:lang="en"> Choice group between mandatory specification of initial stub and optional specification of final stub, or mandatory final stub. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="initialStub" type="Stub"/> <xsd:element minOccurs="0" name="finalStub" type="Stub"/> </xsd:sequence> </xsd:choice> </xsd:complexType> <xsd:complexType name="Variance"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the variance amount of a variance swap. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CalculationFromObservation"> <xsd:sequence> <xsd:element minOccurs="0" name="varianceAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en">Variance amount, which is a cash multiplier.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:annotation> <xsd:documentation xml:lang="en"> Choice between expressing the strike as volatility or variance. </xsd:documentation> </xsd:annotation> <xsd:element minOccurs="0" name="volatilityStrikePrice" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="varianceStrikePrice" type="NonNegativeDecimal"/> </xsd:choice> <xsd:element minOccurs="0" name="varianceCap" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If present and true, then variance cap is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="unadjustedVarianceCap" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use when varianceCap is applicable. Contains the scaling factor of the Variance Cap that can differ on a trade-by-trade basis in the European market. For example, a Variance Cap of 2.5^2 x Variance Strike Price has an unadjustedVarianceCap of 2.5. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="boundedVariance" type="BoundedVariance"> <xsd:annotation> <xsd:documentation xml:lang="en"> Conditions which bound variance. The contract specifies one or more boundary levels. These levels are expressed as prices for confirmation purposes Underlyer price must be equal to or higher than Lower Barrier is known as Up Conditional Swap Underlyer price must be equal to or lower than Upper Barrier is known as Down Conditional Swap Underlyer price must be equal to or higher than Lower Barrier and must be equal to or lower than Upper Barrier is known as Barrier Conditional Swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exchangeTradedContractNearest" type="ExchangeTradedContract"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specification of the exchange traded contract nearest. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="vegaNotionalAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Vega Notional represents the approximate gain/loss at maturity for a 1% difference between RVol (realised vol) and KVol (strike vol). It does not necessarily represent the Vega Risk of the trade. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:element name="interestLeg" substitutionGroup="returnSwapLeg" type="InterestLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">The fixed income amounts of the return type swap.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="returnLeg" substitutionGroup="returnSwapLeg" type="ReturnLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Return amounts of the return type swap.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="returnSwap" substitutionGroup="product" type="ReturnSwap"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the structure of a return type swap. It can represent return swaps, total return swaps, variance swaps. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element abstract="true" name="returnSwapLeg" type="DirectionalLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> An placeholder for the actual Return Swap Leg definition. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group name="CurrencyAndDeterminationMethod.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A group containing return swap amount currency definition methods </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="currency" type="IdentifiedCurrency"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency in which an amount is denominated.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="determinationMethod" type="DeterminationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the method according to which an amount or a date is determined. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="currencyReference" type="IdentifiedCurrencyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to a currency defined elsewhere in the document </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="DeclaredCashAndCashEquivalentDividendPercentage.model"> <xsd:sequence> <xsd:element minOccurs="0" name="declaredCashDividendPercentage" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Declared Cash Dividend Percentage.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="declaredCashEquivalentDividendPercentage" type="NonNegativeDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Declared Cash Equivalent Dividend Percentage.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="Dividends.model"> <xsd:annotation> <xsd:documentation xml:lang="en">A group containing Dividend content</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="optionsExchangeDividends" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If present and true, then options exchange dividends are applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="additionalDividends" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> If present and true, then additional dividends are applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="allDividends" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Represents the European Master Confirmation value of 'All Dividends' which, when applicable, signifies that, for a given Ex-Date, the daily observed Share Price for that day is adjusted (reduced) by the cash dividend and/or the cash value of any non cash dividend per Share (including Extraordinary Dividends) declared by the Issuer. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="EquityUnderlyerProvisions.model"> <xsd:annotation> <xsd:documentation xml:lang="en">A group containing Equity Underlyer provisions.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group minOccurs="0" ref="IndexAnnexFallback.model"/> <xsd:element minOccurs="0" name="localJurisdiction" type="CountryCode"> <xsd:annotation> <xsd:documentation xml:lang="en"> Local Jurisdiction is a term used in the AEJ Master Confirmation, which is used to determine local taxes, which shall mean taxes, duties, and similar charges imposed by the taxing authority of the Local Jurisdiction If this element is not present Local Jurisdiction is Not Applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="relevantJurisdiction" type="CountryCode"> <xsd:annotation> <xsd:documentation xml:lang="en"> Relevent Jurisdiction is a term used in the AEJ Master Confirmation, which is used to determine local taxes, which shall mean taxes, duties and similar charges that would be imposed by the taxing authority of the Country of Underlyer on a Hypothetical Broker Dealer assuming the Applicable Hedge Positions are held by its office in the Relevant Jurisdiction. If this element is not present Relevant Jurisdiction is Not Applicable. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="Feature.model"> <xsd:annotation> <xsd:documentation xml:lang="en">A group containing Swap and Derivative features.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="feature" type="OptionFeatures"> <xsd:annotation> <xsd:documentation xml:lang="en">Asian, Barrier, Knock and Pass Through features.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fxFeature" type="FxFeature"> <xsd:annotation> <xsd:documentation xml:lang="en">Quanto, Composite, or Cross Currency FX features.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="IndexAnnexFallback.model"> <xsd:choice> <xsd:element minOccurs="0" name="multipleExchangeIndexAnnexFallback" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> For an index option transaction, a flag to indicate whether a relevant Multiple Exchange Index Annex is applicable to the transaction. This annex defines additional provisions which are applicable where an index is comprised of component securities that are traded on multiple exchanges. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="componentSecurityIndexAnnexFallback" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> For an index option transaction, a flag to indicate whether a relevant Component Security Index Annex is applicable to the transaction. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="MutualOrOptionalEarlyTermination.model"> <xsd:choice> <xsd:element minOccurs="0" name="mutualEarlyTermination" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used for specifying whether the Mutual Early Termination Right that is detailed in the Master Confirmation will apply. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence> <xsd:element minOccurs="0" name="optionalEarlyTermination" type="xsd:boolean"> <xsd:annotation> <xsd:documentation> A Boolean element used for specifying whether the Optional Early Termination clause detailed in the agreement will apply. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="breakFundingRecovery" type="xsd:boolean"> <xsd:annotation> <xsd:documentation> A Boolean element used for specifying whether the Break Funding Recovery detailed in the agreement will apply. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="breakFeeElection" type="FeeElectionEnum"> <xsd:annotation> <xsd:documentation>Defines the fee type.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="breakFeeRate" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:sequence> </xsd:choice> </xsd:group> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.